/******** <lalVerbatim file="FCTMyInterfCV"> ******** 
Author: Wen, L. 
$Id: FCTMyPhaseFunc.h,v 1.8 2003/04/17 14:56:45 jolien Exp $ 
********* </lalVerbatim> ********/ 

/*  this should be user-supplied phase functions headers
    should be consistent with those in FCTMyPhaseFunc.c
*/

#include <lal/LALDatatypes.h>

#define NUM_PHASE_FUNC 4  /* this number not include the linear term >= dim */

REAL4 fctPhaseFunc1(REAL4 x);
REAL4 fctPhaseFunc2(REAL4 x);
REAL4 fctPhaseFunc3(REAL4 x);
REAL4 fctPhaseFunc4(REAL4 x);
REAL4 fctPhaseFunc5(REAL4 x);

extern LALFCTPhaseFn phaseFuncArray[NUM_PHASE_FUNC]; /* check */
extern REAL4         FCTBaseUnits[NUM_PHASE_FUNC]; /* FCT Index<->Physical units: i=unit*physical   */
extern REAL4         FCTNyq;  /* well, we really need it, assigned in FCTConditionData */
